### Virtual Method

# Clutter Actor has_overlaps

#### Declaration [src]

    gboolean
    has_overlaps (
      ClutterActor* self
    )

#### Description [src]

Asks the actor’s implementation whether it may contain overlapping primitives.

For example; Clutter may use this to determine whether the painting should be redirected to an offscreen buffer to correctly implement the opacity property.

Custom actors can override the default response by implementing the `Clutter.ActorClass.has_overlaps`. See `clutter_actor_set_offscreen_redirect()` for more information.

#### Return value

Type: `gboolean`

`TRUE` if the actor may have overlapping primitives, and `FALSE` otherwise.